org.apache.xmlbeans.impl.tool

## Interface SchemaCompilerExtension

    public interface SchemaCompilerExtension

This interface is implemented by Schema Compiler Extensions. By implementing this class you can then pass this class via the command line param extension to the SchemaCompiler class which will then in turn call this class back once the compilation is complete with the resulting SchemaTypeSystem.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getExtensionName()`
`void` `schemaCompilerExtension(SchemaTypeSystem schemaTypeSystem, Map parms)` Implement this function to be called back by the XmlBeans Schema Compiler with the Schema Type System that has been created as a result of the compile.

### Method Detail

#### schemaCompilerExtension

    void schemaCompilerExtension(SchemaTypeSystem schemaTypeSystem,
                                 Map parms)

Implement this function to be called back by the XmlBeans Schema Compiler with the Schema Type System that has been created as a result of the compile.

Parameters:
  `schemaTypeSystem` - - The schema type systems that has been created by the compiler just prior to calling this extension class.
  `parms` - - name value pairs of options to this schema compiler extension

#### getExtensionName

    String getExtensionName()